using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace zad1._27._11._2021
{
    class Program
    {
        public static void generisi(int a,int b,string s)
        {
            string pom = "";
            if(a==b)
            {
                for (int i = 0; i < a; i++)
                    pom += s;
                Console.WriteLine(pom);
            }
            else
            {
                if(Math.Abs(a-b)==1)
                {
                    if(a>b)
                    {
                        for (int i = 0; i < b; i++)
                            pom += s;
                        pom += s[0];
                        Console.WriteLine(pom);
                    }
                    else
                    {
                        pom +=s[1];
                        for (int i = 0; i < a; i++)
                            pom += s;
                        Console.WriteLine(pom);
                    }
                }
                else
                {
                    Console.WriteLine("nemoguce");
                }
            }
        }
        static void Main(string[] args)
        {
            int a, b;
            string s = Console.ReadLine();
            string[] nz = Console.ReadLine().Split();
            a = int.Parse(nz[0]);
            b = int.Parse(nz[1]);
            generisi(a, b, s);
            Console.ReadLine();
        }
    }
}